net.minecraft.world.gen.structure

## Class MapGenStructure

- java.lang.Object
- - net.minecraft.world.gen.MapGenBase
  - - net.minecraft.world.gen.structure.MapGenStructure

- Direct Known Subclasses:
    MapGenMineshaft, MapGenNetherBridge, MapGenScatteredFeature, MapGenStronghold, MapGenVillage

      public abstract class MapGenStructure
      extends MapGenBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map` | `structureMap`

    - ### Fields inherited from class net.minecraft.world.gen.MapGenBase

      `rand, range, worldObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapGenStructure()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract boolean` | `canSpawnStructureAtCoords(int var1, int var2)`
    `boolean` | `func_142038_b(int par1, int par2, int par3)`
    `abstract java.lang.String` | `func_143025_a()`
    `protected StructureStart` | `func_143028_c(int par1, int par2, int par3)`
    `protected void` | `func_151538_a(World p_151538_1_, int p_151538_2_, int p_151538_3_, int p_151538_4_, int p_151538_5_, Block[] p_151538_6_)`
    `ChunkPosition` | `func_151545_a(World p_151545_1_, int p_151545_2_, int p_151545_3_, int p_151545_4_)`
    `boolean` | `generateStructuresInChunk(World par1World, java.util.Random par2Random, int par3, int par4)`
    `protected java.util.List` | `getCoordList()`
    `protected abstract StructureStart` | `getStructureStart(int var1, int var2)`
    `boolean` | `hasStructureAt(int par1, int par2, int par3)`

    - ### Methods inherited from class net.minecraft.world.gen.MapGenBase

      `func_151539_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### structureMap

          protected java.util.Map structureMap

  - ### Constructor Detail

    - #### MapGenStructure

          public MapGenStructure()

  - ### Method Detail

    - #### func_143025_a

          public abstract java.lang.String func_143025_a()

    - #### func_151538_a

          protected final void func_151538_a(World p_151538_1_,
                           int p_151538_2_,
                           int p_151538_3_,
                           int p_151538_4_,
                           int p_151538_5_,
                           Block[] p_151538_6_)

      Overrides:
        `func_151538_a` in class `MapGenBase`

    - #### generateStructuresInChunk

          public boolean generateStructuresInChunk(World par1World,
                                          java.util.Random par2Random,
                                          int par3,
                                          int par4)

    - #### hasStructureAt

          public boolean hasStructureAt(int par1,
                               int par2,
                               int par3)

    - #### func_143028_c

          protected StructureStart func_143028_c(int par1,
                                     int par2,
                                     int par3)

    - #### func_142038_b

          public boolean func_142038_b(int par1,
                              int par2,
                              int par3)

    - #### func_151545_a

          public ChunkPosition func_151545_a(World p_151545_1_,
                                    int p_151545_2_,
                                    int p_151545_3_,
                                    int p_151545_4_)

    - #### getCoordList

          protected java.util.List getCoordList()

    - #### canSpawnStructureAtCoords

          protected abstract boolean canSpawnStructureAtCoords(int var1,
                                          int var2)

    - #### getStructureStart

          protected abstract StructureStart getStructureStart(int var1,
                                         int var2)